
package jp.riken.brain.ni.samuraigraph.data;

/**
 * An interface for Scalar-type multiple XY data.
 */
public interface SGISXYTypeMultipleData extends SGITwoDimensionalData
{

	/**
	 * 
	 * @param n
	 * @return
	 */
	public Double getXValue( final int n );



	/**
	 * 
	 * @param m
	 * @param n
	 * @return
	 */
	public Double getYValue( final int m, final int n );


	/**
	 * 
	 */
	public SGISXYTypeData[] getSXYDataArray();


	/**
	 * Returns a copy of x-value array.
	 * @return x-value array
	 */
	public double[] getXValueArray();


	/**
	 * 
	 * @return
	 */
	public double[][] getYValueArray();


}

